[OE-core] [PATCH] udev: don't mount with -o sync

Jesse Zhang sen.zhang at windriver.com
Tue Jul 3 08:49:28 UTC 2012


mount.sh mounts all partitions with -o sync, which is bad for system
performance.

Signed-off-by: Jesse Zhang <sen.zhang at windriver.com>
---
 meta/recipes-core/udev/udev/mount.sh |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/meta/recipes-core/udev/udev/mount.sh b/meta/recipes-core/udev/udev/mount.sh
index 53fefa3..c13b8bb 100644
--- a/meta/recipes-core/udev/udev/mount.sh
+++ b/meta/recipes-core/udev/udev/mount.sh
@@ -23,7 +23,7 @@ automount() {
 
 	! test -d "/media/$name" && mkdir -p "/media/$name"
 	
-	if ! $MOUNT -t auto -o sync $DEVNAME "/media/$name"
+	if ! $MOUNT -t auto $DEVNAME "/media/$name"
 	then
 		#logger "mount.sh/automount" "$MOUNT -t auto $DEVNAME \"/media/$name\" failed!"
 		rm_dir "/media/$name"
-- 
1.7.10.4





More information about the Openembedded-core mailing list